The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Details of a Domain Name from IPS Inspection Allowlist

Prev Next

This URL retrieves the details of the domain name exception from the IPS inspection allowlist.

Resource URL

GET /domainnameexceptions/ipsinspectionallowlist/IPSDNEDetail/<domainName>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

domainName

Name of the domain

String

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

dneDetail

List of domains from the IPS inspection allowlist

ObjectList

Details of dneDetail :

Field Name

Description

Data Type

id

Domain name exception id

Number

state

State of the domain name exception (Enabled/Disabled)

String

domainName

Name of the domain

String

comment

Description of the exception

String

domainType

Type of the domain (Custom/Default)

String

lastUpdated

Details of the time and username under which the domain name exception was added

String

Example

Request

GET https://<NSM_IP>/domainnameexceptions/ipsinspectionallowlist/IPSDNEDetail/www.google.com

Response

{    
 'dneDetail': [{

'id': 10118,
‘state’: ‘E’,
'domainName':'www.google.com', ‘comment’: ‘Google’
‘domainType’: ‘C’,
'lastUpdated': 'Jan 13 6:35 (admin)'

},

}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error message: Internal server error

2

500

1001

Internal error message: Domain name not found